# Integration of a chatbox into a webview

To integrate a chatbox into a webview, you need to:

1. Create an empty HTML page, this page should only contain the following script tag:

```
<html><head><script src="...bundle.min.js"></script></head><body></body></html>
```

2. Then , in the Java code, you need to enable the **JavaScript** ans the **DomStorage** in the webview:

```
webView.getSettings().setDomStorageEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-en.dydu.ai/integration/channels/chatbox/integration-of-a-chatbox-into-a-webview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
